#global pre pre2

Name:           yapet
Version:        1.1
Release:        3%{?pre}%{?dist}
Summary:        Yet Another Password Encryption Tool
License:        GPLv3+ with exceptions
URL:            http://yapet.guengel.ch/
Source0:        http://yapet.guengel.ch/downloads/%{name}-%{version}%{?pre}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel

%description
YAPET is a text based password manager using the Blowfish encryption algorithm.
Because of its small footprint and very few library dependencies, it is suited
for installing on desktop and server systems alike.

%prep
%setup -qn %{name}-%{version}%{?pre}

for f in ./DESIGN ./README
do
  iconv -f iso-8859-1 -t utf-8 $f |sed 's|\r||g' > $f.utf8
  touch -c -r $f $f.utf8
  mv $f.utf8 $f
done

%build
%configure --disable-install-doc   \
           --disable-source-doc    \
           --disable-install-doci  \
           --disable-silent-rules

%make_build

%install
%make_install
# Console running is OK.
rm -frv %{buildroot}%{_datadir}/applications/

# %%doc instead.
rm -frv %{buildroot}%{_docdir}

%find_lang %{name}
%find_lang libyacurs

%check
# RNG tests need /dev/urandom OR /dev/random!
# Failed at messagebox1. Digging.
#make check

%files -f %{name}.lang -f libyacurs.lang
%doc AUTHORS DESIGN NEWS README THANKS TODO
%license COPYING LICENSE
%{_bindir}/*yapet*
%{_mandir}/man*/*yapet*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 28 2018 Greg Bailey <gbailey@lxpro.com> - 1.1-2
- No longer any need to rebuild configure script

* Wed Mar 28 2018 Greg Bailey <gbailey@lxpro.com> - 1.1-1
- Update to 1.1
- Update URL
- Remove unnecessary patches

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar  1 2017 Greg Bailey <gbailey@lxpro.com> - 1.0-9
- Patch to fix build issues with GCC 6 and OpenSSL 1.1 (#1424564)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr 14 2016 Greg Bailey <gbailey@lxpro.com> - 1.0-7
- Patch GCC6 compilation error from void function returning a value (#1308262)

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0-4
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Christopher Meng <rpm@cicku.me> - 1.0-1
- Update to 1.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.6.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.5.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.4.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.3.pre2
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.2.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Mar 15 2011 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.8-0.1.pre2
- Update

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.7-1
- New upstream release

* Mon Oct 12 2009 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.6-2
- Correct License and patch integration
- Add LICENSE to DOC

* Mon Oct 12 2009 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.6-1
- Initial Package build
